<?php

 include_once("mkdirs.inc");
 include_once("out.inc");
 include_once("code.inc");
 include_once("file.inc");
 include_once("build.inc");

// =============
// vars
// =============

// default values : 

if (!isset($phpview_title)) {
  $phpview_title="Viewer";
};

$page="0";        // 
$gallery="";      // Directory (path)
$res="";          // Resolution of image to display if $img != ""

//$base=trim(`basename "$(dirname "$base_rep/test")" `);
$base=basename(dirname("$base_rep/test"));
                  // Name of the "$base_rep" value.

// -- exporting POST values...

$options=explode(" ","gallery page res img legend");
reset($options);
while (list ($key, $val) = each ($options))
{
  if (array_key_exists($val,$_REQUEST))
    {
      ${$val}=stripslashes(arg_decode($_REQUEST[$val]));
    };
};

// Security check :

// Gallery Musn't contain "..", so it must be a subdir of $basedir 
$checking=`cd "$base_rep/";find ./ -type d -follow | sed 's/\\.\///g' |  grep "^$gallery\\$"`;

if ( "$checking" == "" ) {
  echo $string["Incorrect gallery specified"] . " : '$gallery'";
  exit (1); // Quitting.
};

if (isset($hide_entry) && is_array($hide_entry))
{
  reset($hide_entry);
  while(list($k,$v) = each($hide_entry))
   {
      $name=(($k != "")?"$k/$v":$v);
      if ("$name" == $gallery)
        {
          echo $string["Incorrect gallery specified"] . " : '$gallery'";
	  exit (1); // Quitting.
	};
   };
};

if (!isset($page) || !is_numeric($page)) {
  $page="0";
};

if (!isset($legend) || (($legend != "yes") && ($legend != "no"))) {
  $legend="no";
};

if (($legend == "no") && (isset($thumb_by_page_nolegend))) {
  $thumb_by_page = $thumb_by_page_nolegend;
};

if ( $gallery == "" )
{
  $gallery_rep="$base_rep";
  $shadow_rep="$tmp_web_path/$base";
  $url_rep="$tmp_web_url/$base";
}
else
{
  $gallery_rep="$base_rep/$gallery";
  $shadow_rep="$tmp_web_path/$base/$gallery";
  $url_rep="$tmp_web_url/$base/$gallery";
};

if ($img != "") // In Image step mode
{
  if (!array_key_exists($res,$resolution))
    {
      echo "Please specify a correct resolution";
      exit(1);
    };

  if (! file_exists("$gallery_rep/$img"))
    {
      echo "Please specify a correct gallery and an image";
      exit(1);
    };

  if (!is_dir("$shadow_rep"))
    {
      mkdirs("$shadow_rep"); // <=> mkdir -p
    };
};


?>
<HTML>
<HEAD>
 <STYLE TYPE="text/css">
<?php

if (!file_exists($style))
   include_once("style.css");
else
   include_once($style);

?></STYLE>
 <TITLE><?
echo "$phpview_title > $gallery"
?></TITLE>
</HEAD>
<BODY>
 <CENTER>
<?php


// ================
// === Begin Code
// ================


// ==============
// = Functions
// ==============


if ($img != "") // in display image mode
{
  include_once("res.inc");
  include_once("image.inc");  
};

//=====================
// Initialising for the 2 mode of display
//=====================

if ($img != "")
{
  // -----------
  // Beginning Display of Image
  // -----------

  $basename_img = implode(".",array_slice(explode(".",basename($img)),0,-1));
  $extname_img = current(array_slice(explode(".",basename($img)),-1));

  // = creating filenames for each version
  
  $filename=array();
  reset($resolution);
  while (list ($key, $val) = each ($resolution))
    {
	$filename[$key]="$shadow_rep/" . $basename_img . "-" . $key . "." . $extname_img;
	$url[$key]="$url_rep/" . $basename_img . "-" . $key . "." . $extname_img;
	$filename_md5[$key]="$cache_path/" . $val . "-" . md5(file_get_contents("$gallery_rep/$img")) . ".jpg" ;
    };

  $filename["orig"] = "$shadow_rep/$img";
  $url["orig"] = "$url_rep/$img";
  $filename_md5["orig"]="$cache_path/" . md5(file_get_contents("$gallery_rep/$img")) . ".jpg" ;
  
  create_image("$gallery_rep/$img",$resolution,$filename_md5,$filename,$url);

  // -----------------
  //  Fetching current image informations
  // ------------------

  $name="$gallery_rep/" . $basename_img . ".txt";
  
  if (file_exists($name))
    {
      $info_cur_img=explode("\n", file_get_contents($name));
      
      $cur_img["title"]=trim($info_cur_gal["0"]);
      
      reset($info_cur_img);
      while (list ($key, $val) = each ($info_cur_img))
	{
	  if ("$key" >= "1")
	    $desc=$desc . "\n$val";
	};
      
      $cur_img["desc"]=nl2br(trim($desc));
    };

  // default values if not specified

  if ($cur_img["title"] == "")
    $cur_img["title"]=$img;

  $cur_info=$cur_img;
  
}
else
{
  // -----------
  // Fetching files to display
  // -----------

  $array=array_merge(list_gal("$gallery_rep"),list_img("$gallery_rep"));

  if (isset($hide_entry) && is_string($hide_entry[$gallery]))
    $array=array_diff($array,explode( " ", $hide_entry["$gallery"]));

  // -----------------
  //  Fetching current galery informations
  // ------------------

  $title="";
  $desc="";
  
  $desc_gal_file="$base_rep/$gallery/desc.nfo";
  
  if (file_exists($desc_gal_file))
    {
      $info_cur_gal=explode("\n", file_get_contents($desc_gal_file));
      
      $cur_gal["title"]=trim($info_cur_gal["0"]);
	
      $cur_gal["date"]=trim($info_cur_gal["1"]);
      $cur_gal["snap"]=trim($info_cur_gal["2"]);
      
      reset($info_cur_gal);
      while (list ($key, $val) = each ($info_cur_gal))
	{
	  if ("$key" >= "3")
	    $desc=$desc . "\n$val";
	};
      
      $cur_gal["desc"]=nl2br(htmlspecialchars(trim($desc)));
    };

  // default values if not specified

  if ($cur_gal["title"] == "")
    $cur_gal["title"]=trim($gallery);

  if ($cur_gal["title"] == "")
    $cur_gal["title"]=trim($base);

  $cur_info=$cur_gal;
  
};

// ===================
// Common HTML Basis for the display
// ===================

echo "<TABLE BORDER=0 WIDTH='100%'>";
echo "
  <TR>
    <TD COLSPAN=3 CLASS='TitleCell'>
       " . $cur_info["title"] . "
    </TD>
  </TR>
  <TR>
    <TD COLSPAN=3>
       <BR>
       <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH='100%' CLASS='LocationBar'>
         <TR>
           <TD BGCOLOR='black'><IMG SRC='" . b_url("$icon_path/spacer.gif") . "' HEIGHT='1' WIDTH='1'></TD>
         </TR>
         <TR>
           <TD>
              &nbsp;<SPAN CLASS='TitleStyleFirst'>" . ucfirst($string["location"]) . " 
              :</SPAN
         ><SPAN CLASS='TitleValueFirst'> " . output_location($gallery,$img) . "</SPAN>
           </TD>
         </TR>
         <TR>
           <TD BGCOLOR='black'><IMG SRC='" . b_url("$icon_path/spacer.gif") . "' HEIGHT='1' WIDTH='1'></TD>
         </TR>
       </TABLE>
       <BR>
    </TD>
  </TR>\n";

// ====================
// Diff display
// ====================

if ($img != "")
{
  // ----------------------
  // Displaying Image
  // ----------------------


  echo "        <TR>\n";
  echo "          <TD><CENTER>\n";

  $result=last_img($img, $gallery_rep);
  
  if($result != "")
    {
      echo "      <A HREF='?gallery=" . arg_code($gallery) . "&img=" . arg_code($result) . "&res=" . arg_code($res) . "'&legend=$legend";
      echo "        ><IMG SRC='" . b_url("$icon_path/before.png") . "' BORDER=0></A>";
    }
  else
    {echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>";}
  
  echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>\n";
  echo "      <A HREF='?gallery=" . arg_code($gallery) . "&legend=$legend'";
  echo "      ><IMG SRC='" . b_url("$icon_path/mid.png") . "' BORDER=0></A>\n";
  
  echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>\n";
  
  $result=next_img($img, $gallery_rep);
  
  if($result != "")
    {
      echo "      <A HREF='?gallery=" . arg_code($gallery) . "&img=" . arg_code($result) . "&res=" . arg_code($res) . "'&legend=$legend";
      echo "        ><IMG SRC='" . b_url("$icon_path/after.png") . "' BORDER=0></A>";
    }
  else
    {echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>";}
  
  echo "          </CENTER></TD>\n";
  echo "        </TR>\n";



  
  echo "  <TR>\n";
  echo "    <TD>\n";
  echo "      <CENTER>\n";
  echo "        <IMG SRC='" . arg_code($url[$res]) . "'>\n";
  echo "      </CENTER>\n";
  echo "    </TD>\n";
  echo "  </TR>\n";
  
  // = the view quality bar
  
  echo "        <TR>\n";
  echo "         <TD BGCOLOR='#EEEEEE' STYLE='border: 1px #000000; border-style: solid;'><CENTER>\n";
  echo "          <TABLE BGCOLOR='#FFEEEE' WIDTH='50%'>\n";
  echo "            <TR>\n";

  reset($resolution);
  while (list($key, $val) = each ($resolution))
    {
      
      if (! array_key_exists($key, $tagging) || ($tagging[$key] == 1))
	{
	  echo "          <TD  STYLE='border: 1px #000000; border-style: solid;' BGCOLOR='#CCCCCC'\n";
	}
      else
	{
	  echo "          <TD BGCOLOR='#EEEEEE'\n";
	};
      
      echo "><CENTER><SPAN CLASS='ResTitle'";

      if ($key == $res)
	{
	  echo "            ><FONT COLOR='#000000'>" . $string[$key] . "</FONT\n";
	}
      else
	{
	  echo "            ><A STYLE='color: #6666AA;' HREF='?gallery=" . arg_code($gallery) . "&img=" . arg_code($img) . "&res=" . arg_code($key) ."&legend=$legend'\n";
	  echo "              >" . $string[$key] . "</A\n";
	};
      
      echo "></SPAN></CENTER></TD>\n";
      
    };

  echo "            </TR>\n";
  echo "          </TABLE>\n";
  echo "         </CENTER></TD>\n";
  echo "        </TR>\n";

}
else
{

  // ----------------------
  // Displaying directory
  // ----------------------

  echo "<TR>\n";
  echo "  <TD COLSPAN=3>\n";
  echo "    <CENTER>\n";

  if ($legend == "yes") {
    echo "      <A HREF='?gallery=" . arg_code($gallery) . "&page=" . arg_code($page) . "&legend=no'>" . ucfirst($string['no legend']) . "</A>";
  } else {
    echo "      <A HREF='?gallery=" . arg_code($gallery) . "&page=" . arg_code($page) . "&legend=yes'>" . ucfirst($string['display legend']) . "</A>";
  };

  
  if($page != "0")
    {
      $last=$page-1;
      
      echo "      <A HREF='?gallery=" . arg_code($gallery) . "&page=" . arg_code($last) . "&legend=$legend'>";
      echo "        <IMG SRC='" . b_url("$icon_path/before.png") . "' BORDER=0></A>";
    }
  else
    {
      echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>";}
  
  
  echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>\n";
  
  if ( "$gallery" != "" )
    {
      $new_gal=dirname($gallery);
      $new_gal=(( $new_gal == "." )?"":$new_gal);
      echo "      <A HREF='?gallery=" . arg_code((("$new_gal" == ".")?"":$new_gal)) . "&legend=$legend'>";
    }
  else
    {
      echo "      <A HREF='$main_page'>";
    };
  
  echo "<IMG BORDER=0 SRC='" . b_url("$icon_path/mid.png") . "'></A>\n";
  
  echo "<IMG SRC='" . b_url("$icon_path/blank.png") . "'>\n";
  
  if(count($array) > (($page + 1) * $thumb_by_page) )
    {
      $next=$page+1;
      
      echo "      <A HREF='?gallery=" . arg_code($gallery) . "&page=$next&legend=$legend'>";
      echo "        <IMG SRC='" . b_url("$icon_path/after.png") ."' BORDER=0></A>";
    }
  else
    {echo "      <IMG SRC='" . b_url("$icon_path/blank.png") . "'>";}
  
  echo "    </CENTER>\n";
  echo "  </TD>\n";
  echo "</TR>\n";




  echo " <TR>
          <TD COLSPAN=3>
           <CENTER><TABLE BORDER=0 WIDTH='100%'>";

	  echo "<TR>\n";
	  echo "   <TD>\n";
	  echo "<center>";


  reset($array);
  while (list ($key, $val) = each ($array))
    {
      // selecting the current ones
      if (($key >= ($page * $thumb_by_page)) && ($key < (($page+1) * $thumb_by_page)))
	{
	  $title="";
	  $desc="";
	  $type=(is_dir("$base_rep/$gallery/$val")?"gallery":"image");
	  //      $type=trim(`[ -d "$base_rep/$gallery/$val" ] && echo "dir" || echo "img" `);


	  if ( "$type" == "gallery" ) {

	    // GALLERY VALUES

	    $name="$base_rep/$gallery/$val/desc.nfo";
	    $date="";
	    
	    if (file_exists("$name")) {
	      $info_gal=explode("\n", file_get_contents($name));
	      
	      $title=$info_gal["0"];
	      $date=trim($info_gal["1"]);
	      $snap=$info_gal["2"];
	      
	      reset($info_gal);
	      while (list ($key1, $val1) = each ($info_gal)) {
		if ("$key1" >= "3")
		  $desc=$desc . "\n$val1";
	      };
	      
	      
	      $desc=nl2br(trim($desc));
	    };
	    
	      if ($gallery == "") {

		$output_html="<A HREF='?gallery=" . arg_code($val)
		  . "&legend=$legend'>"
		  . "<IMG BORDER=0 SRC='?action=thumb&gallery=" . arg_code($val)
		  . "'></A>\n";
		
	    if ($legend == "yes") {

	      if (trim(`cd "$base_rep/$val";find ./ -type f -iname \*.jpg`) 
		  != "" )
		$size=`cd "$base_rep/$val";find ./ -type f -iname \*.jpg -print0 | xargs -0 du -kc | tail -1 | cut --field=1`;
	      else
		$size=0;
	      $nb_images=trim(`cd "$base_rep/$val";find ./ -type f -maxdepth 1 -iname \*.jpg | wc -l`);
	      $nb_galleries=trim(`cd "$base_rep/$val";find ./ -type d -maxdepth 1 | wc -l`) - 1;
	    };
	    } else {
	      
	      $output_html="<A HREF='?gallery=" . arg_code("$gallery/$val") . "&legend=$legend'><IMG BORDER=0 SRC='?action=thumb&gallery=" . arg_code("$gallery/$val") . "'></A>\n";
	    if ($legend == "yes") {

	      if (trim(`cd "$base_rep/$gallery/$val";find ./ -type f -iname \*.jpg`) != "" )
		$size=`cd "$base_rep/$gallery/$val";find ./ -type f -iname \*.jpg -print0 | xargs -0 du -kc | tail -1 | cut --field=1`;
	      else
		$size=0;
	      $nb_images=trim(`cd "$base_rep/$gallery/$val";find ./ -type f -maxdepth 1 -iname \*.jpg | wc -l`);
	      $nb_galleries=trim(`cd "$base_rep/$gallery/$val";find ./ -type d -maxdepth 1 | wc -l`) - 1;


	    };
	    };

	    
	  } elseif ( $type == "image" ) {

	    // IMAGE VALUES

	    $name="$base_rep/$gallery/" . current(split("\.",basename($val))) . ".txt";
	    if (file_exists("$name")) {
	      $title=`cat "$name" | head -1`;
	      $desc= `cat "$name" | tail +2`;
	    };
	    $output_html="<A HREF='?gallery=" . arg_code($gallery) . "&img=" . arg_code($val) . "&res=" . arg_code($default_res) . "&legend=$legend'
                           ><IMG BORDER=0 SRC='?action=thumb&gallery=" . arg_code($gallery) . "&img=" . arg_code($val) . "'></A>";
	    $img_res=getimagesize("$base_rep/$gallery/$val");
	    if ($legend == "yes")
	      $size=`cd "$base_rep/$gallery";du "$val" -kc | tail -1 | cut --field=1`;

	  };


	  // DISPLAY

	  if ($legend == "yes") {

	    echo "<div class='DisplayElmnt' style='float:left; width: 350px;'>";
	    echo "<table width='100%' cellspacing='0' cellpadding='0'><tr><td>";

	  } else {

	    echo "<div class='DisplayElmnt' style='float:left; max-width: " . ($SquareMax + 10) ."px; height: " . ($SquareMax + 30) ."px '>";
	    echo "<table cellspacing='0' cellpadding='0' width='0%'><tr>";

	  };

	  /*
echo "<td>";
	  if ( "$type" == "gallery") echo "<IMG SRC='" . b_url("$icon_path/enter.png") . "'>\n";
	  else echo "<IMG SRC='" . b_url("$icon_path/img.png") . "'>\n";
	  echo "  </TD>\n";
	  */
	  
	  if ( "$type" == "gallery") echo "  <TD CLASS='GalIconeCell' width='0%'>\n";
	  else echo "  <TD CLASS='ImgIconeCell'>\n";

	  echo "    " . $output_html . "\n";
	  echo "  </TD>\n";
	  
	  if ($legend == "yes") {

	    if ( "$type" == "gallery") echo "  <TD CLASS='GalInfoCell' width='100%'>\n";
	    else 
	      echo "  <TD CLASS='ImgInfoCell' width='100%'>\n";
	    
	    echo "   <SPAN CLASS='TitleStyleFirst'>" . ucfirst($string[$type]) . " : </SPAN><SPAN CLASS='TitleValueFirst'>" . (($title!="")?$title:$val) . "</SPAN><BR>\n";
	    
	    if (( "$type" == "gallery" ) && ($date != "")) {
	      echo "   <SPAN CLASS='TitleStyle'>" . ucfirst($string["date"]) . " : </SPAN><SPAN CLASS='TitleValue'>" . (($date!="")?$date:"Pas de date spcifie") . "</SPAN><BR>\n";
	    };
	    
	    if ($desc != "")
	      echo "   <SPAN CLASS='TitleStyle'>" . ucfirst($string["description"]) . " : </SPAN><SPAN CLASS='TitleValue'>" . (($desc!="")?$desc:"Pas de Description") . "</SPAN><BR>\n";
	    
	    if ( "$type" == "image" )
	      echo "   <SPAN CLASS='TitleStyle'>" . ucfirst($string["resolution"]) . " : </SPAN><SPAN CLASS='TitleValue'>" . $img_res[0] . "x" . $img_res[1] . "</SPAN>\n";
	    else {
	      if ( "$nb_images" != 0)
		echo "   <SPAN CLASS='TitleValue'>$nb_images</SPAN> <SPAN CLASS='TitleStyle'>" . $string[(($nb_images > 1)?"images":"image")] . "</SPAN>";
	      if (( "$nb_images" != 0) &&( "$nb_galleries" != 0))
		echo "   <SPAN CLASS='TitleStyle'> " . $string["and"]. " </SPAN>";
	      if ( "$nb_galleries" != 0)
		echo "<SPAN CLASS='TitleValue'>$nb_galleries</SPAN> <SPAN CLASS='TitleStyle'>" . $string[(($nb_galleries > 1)?"galleries":"gallery")] . "</SPAN>";
	    };
	    
	    echo "    <BR><SPAN CLASS='TitleStyle'>" . ucfirst($string["weight"]) . "</SPAN> : <SPAN CLASS='TitleValue'>$size</SPAN><SPAN CLASS='TitleStyle'> Ko</SPAN>\n";
	    
	    echo "</tr></td>";
	  };

	  echo "</table>";
/* else {
	    echo "</tr>";
	    echo "<tr>";
	    echo "<td width='0%'>";*/
	  if ($legend == "no")
	    echo "<div><SPAN CLASS='SmallTitle'>[ " . (($title!="")?$title:$val) . " ]</SPAN></div>\n";
	    /*	    echo "</td>";
	    echo "</tr>";
	  };*/

	  echo "</div>";
	};
    };
  echo "</center>";

  echo "  </TD>\n";
  echo "</TR>\n";
  
  echo " 
        </TD>
        </TR>";

  $max = ($page + 1) * $thumb_by_page ;
  $max = ($max >= count($array))?count($array):"$max";
  $min = ($page * $thumb_by_page) + 1;
  
  if (count($array) == "0") 
    {
      
      echo "<TR>\n";
      echo "  <TD>\n";
      echo "  </TD>\n";
      echo "  <TD>\n";
      echo "   <CENTER><B><FONT SIZE=+2><FONT COLOR=#555555>" . ucfirst($string["no content"]) . "</FONT></FONT></B></CENTER>";
      echo "  </TD>\n";
      echo "</TR>\n";
      $min=0;
    };

  echo "<TR>\n";
  echo "  <TD>\n";
  echo "  </TD>\n";
  
  echo "  <TD>\n";
  echo "    <CENTER><B><FONT COLOR=#555555>" . $min  . "-" . $max . "</FONT> / " . count($array) . "</B></CENTER>";
  echo "  </TD>\n";
  echo "  <TD>\n";
  echo "  </TD>\n";
  echo "</TR>\n";



  echo "</TABLE></CENTER>\n";
  
  
};

// =======================
// Common Output window info 
// =======================


echo "
  <TR>
    <TD COLSPAN=3  CLASS='InfoCell'>
      <FONT SIZE=+1>
        <B>
          <SPAN CLASS='TitleStyleFirst'>" . ucfirst($string["location"]) . " :</SPAN
         ><SPAN CLASS='TitleValueFirst'> ";


echo output_location($gallery,$img);

echo "</SPAN><BR>\n";

if ($cur_info["date"] != "")
  echo "<SPAN CLASS='TitleStyle'>" . ucfirst($string["date"]) . " :</SPAN
       ><SPAN CLASS='TitleValue'> " . $cur_info["date"]. "</SPAN><BR>\n";

if ($cur_info["desc"] != "")
  echo "<SPAN CLASS='TitleStyle'>" . ucfirst($string["description"]) . " :</SPAN
       ><SPAN CLASS='TitleValue'> " . $cur_info["desc"]. "</SPAN><BR>\n";


// =======================
// Diff end part
// =======================

if ($img != "")
{
  echo "      <BR>";
  echo "      <SPAN CLASS='TitleStyleFirst'> ". ucfirst($string["download"]). " :</SPAN><CENTER>";
  echo "       <TABLE BORDER=0 WIDTH='60%'>\n";
  echo "        <TR BGCOLOR='#CCCCCC'>\n";



  if ($download_orig === false)
  {
     unset($filename["orig"]);
  };
  
  reset($filename);
  while (list($key, $val) = each ($filename))
    {
            echo "          <TD><CENTER>\n";
	
      if	 (! array_key_exists($key, $tagging) || ($tagging[$key] == 1))
	{
	  echo "          <A HREF='" . arg_code($url[$key]) . "'>\n";
	  echo "            <SPAN CLASS='ResTitle'>" . $string[$key] . "</SPAN>\n";
	  echo "          </A>\n";
	}
      else
	{
	  echo "          <FONT COLOR='#888888'>\n";
	  echo "            <SPAN CLASS='ResTitle'>" . $string[$key] . "</SPAN>\n";
	  echo "          </FONT>\n";
	};
      
      echo "          </CENTER></TD>\n";

    };
  
  echo "        </TR>\n";
  echo "        <TR>\n";
  
  reset($filename);
  while (list($key, $val) = each ($filename))
    {
      echo "          <TD><CENTER>\n";
      
      if (! array_key_exists($key, $tagging) || ($tagging[$key] == 1))
	{
	  $size_array=getimagesize($filename[$key]);
	  $a_res=$size_array[0] . "x" . $size_array[1];
	  
	  echo "          <SPAN CLASS='ResValue'>\n";
	  echo "            $a_res\n";
	  echo "          </SPAN>\n";
	};
      
      echo "          </CENTER></TD>\n";
    };
  
  echo "        </TR>\n";
  echo "        <TR>\n";
  
  reset($filename);
  while (list($key, $val) = each ($filename))
    {
      echo "          <TD><CENTER>\n";
      
      if (! array_key_exists($key, $tagging) || ($tagging[$key] == 1))
	{
	  $command='du "'  . $filename_md5[$key] . '" -kc | tail -1 | cut --field=1 ';
	  $size=`$command`;
	  
	  echo "          <SPAN CLASS='ResValue'>\n";
	  echo "            $size Ko\n";
	  echo "          </SPAN>\n";
	};
      
      echo "          </CENTER></TD>\n";
    };
  
  echo "        </TR>\n";
  echo "      </TABLE></CENTER>\n";
  echo "    </TD>\n";
  echo "  </TR>\n";
}
else
{

  if ($legend == "yes") {    
    if (trim(`cd "$base_rep/$gallery";find ./ -type f -iname \*.jpg -print0`) != "" )
    $cur_size=`cd "$base_rep/$gallery";find ./ -type f -iname \*.jpg -print0 | xargs -0 du -kc | tail -1 | cut --field=1`;
    else
      $cur_size=0;
  

  $nb_images=trim(`cd "$base_rep/$gallery";find ./ -type f -maxdepth 1 -iname \*.jpg | wc -l`);
  $nb_galleries=trim(`cd "$base_rep/$gallery";find ./ -type d -maxdepth 1 | wc -l`) - 1;


  if ( $nb_images != 0)
    echo "<SPAN CLASS='TitleValue'>" . $nb_images . "</SPAN
       ><SPAN CLASS='TitleStyle'>
             " . $string[(($nb_images > 1)?"images":"image")] . "
        </SPAN>";

  if (( "$nb_images" != 0) && ( "$nb_galleries" != 0))
    echo "   <SPAN CLASS='TitleStyle'>" . $string["and"] . "</SPAN>";


  if ( "$nb_galleries" != 0)
    echo "   <SPAN CLASS='TitleValue'> " . $nb_galleries .  "</SPAN" .
         "   ><SPAN CLASS='TitleStyle'> " . $string[(($nb_galleries > 1)?"galleries":"gallery")] . "</SPAN>";

  if (( $nb_images != 0) || ( $nb_galleries != 0))
    echo "<BR>\n";


    $nb_images=trim(`cd "$base_rep/$gallery";find ./ -type f -iname \*.jpg | wc -l`);

  echo "<SPAN CLASS='TitleStyle'>" . ucfirst($string["total of"]) . "</SPAN
        ><SPAN CLASS='TitleValue'> " . $nb_images . "</SPAN" .
       "><SPAN CLASS='TitleStyle'> " . $string["images"] . " " . $string["for"] . "</SPAN" .
       "><SPAN CLASS='TitleValue'> " . $cur_size . "</SPAN" .
       "><SPAN CLASS='TitleStyle'>Ko</SPAN><BR>\n";

  echo "    </TD>
           </TR>\n";
};
};


 echo "</TABLE>";

?>
</CENTER>
</BODY>
</HTML>
